
QGIS Application - Bug report #1895

File open progress does not update on OS X

2009-08-25 09:36 AM - John Tull

Status: Closed

Priority: Low

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 11955

Description

When opening a project file, the progress is correctly logged to the console, but the progress meter on the bottom of the map canvas is

not updated. Instead, either no progress is shown or it shows about 10% complete on slower loading files. Qt-4.5.2

History

#1 - 2010-06-12 01:48 AM - Paolo Cavallini

Still true? Please check with a recent build and close if appropriate.

#2 - 2010-06-13 02:31 PM - John Tull

- Resolution set to invalid

- Status changed from Open to Closed

There is no longer an open dialog progress indicator for me in OS X. Has this been removed in other os's also? Closing for now as invalid.

#3 - 2010-06-14 11:51 AM - John Tull

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Ok, after some additional testing today, this bug does still exist.

#4 - 2011-03-05 11:31 AM - John Tull

There appears to be no progress indicator in OS X. I'm not sure if this is a bug or a missing feature on OS X.

#5 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master
#7 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2014-10-14 12:57 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Feedback to Closed

- Assignee deleted (nobody -)

- Resolution set to worksforme

tested yesterday on fresh qgis 2.4 install on a brand new mac (latest version of the os, not sure about the animal name) and it works just like on Linux and

Win. Please reopen if necessary.
